| Flutter Windows Embedder |

Classes | Enumerations | Functions
flutter::egl Namespace Reference

## Classes
class | Context
class | Manager
class | ProcTable
class | Surface
class | WindowSurface

## Enumerations
enum class | GpuPreference { NoPreference , LowPowerPreference , HighPerformancePreference }

## Functions
void | LogEGLError (std::string_view message)
| Log the last EGL error with an error message. More...
void | LogEGLError (std::string_view file, int line)
| Log the last EGL error. More...

## Enumeration Type Documentation

## ◆ GpuPreference

enum flutter::egl::GpuPreference
| strong

Enumerator
NoPreference |
LowPowerPreference |
HighPerformancePreference |

Definition at line 32 of file manager.h.

32 {
33 NoPreference,
34 LowPowerPreference,
35 HighPerformancePreference,
36 };
LowPowerPreference
@ LowPowerPreference
Definition: flutter_windows.h:45
HighPerformancePreference
@ HighPerformancePreference
Definition: flutter_windows.h:49
NoPreference
@ NoPreference
Definition: flutter_windows.h:41

## Function Documentation

## ◆ LogEGLError() [1/2]

void flutter::egl::LogEGLError | ( | std::string_view | file,
|  | int | line
| ) |  |

Log the last EGL error.

Definition at line 61 of file egl.cc.

61 {
62 std::stringstream stream;
63 stream << "in " << file << ":" << line;
64 LogEGLError(stream.str());
65 }
flutter::egl::LogEGLError
void LogEGLError(std::string_view file, int line)
Log the last EGL error.
Definition: egl.cc:61

References LogEGLError().

## ◆ LogEGLError() [2/2]

void flutter::egl::LogEGLError | ( | std::string_view | message | ) |

Log the last EGL error with an error message.

Definition at line 55 of file egl.cc.

55 {
56 const EGLint error = ::eglGetError();
57 return FML_LOG(ERROR) << "EGL Error: " << EGLErrorToString(error) << " ("
58 << error << ") " << message;
59 }
message
Win32Message message
Definition: keyboard_unittests.cc:137

References message.

Referenced by flutter::egl::Manager::CreateWindowSurface(), and LogEGLError().